aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRafael Goncalves Martins (rafaelmartins) <rafael@rafaelmartins.eng.br>2010-07-02 01:15:37 -0300
committerRafael Goncalves Martins (rafaelmartins) <rafael@rafaelmartins.eng.br>2010-07-02 01:15:37 -0300
commit2b516f978a134d185bd28c5f17fe5c614ccf3c9b (patch)
tree8d93e5d8ea2b9fe5dafc14323570354879f6ebd2
parentUpdated the app-portage/g-octave live ebuild (diff)
downloadsci-2b516f978a134d185bd28c5f17fe5c614ccf3c9b.tar.gz
sci-2b516f978a134d185bd28c5f17fe5c614ccf3c9b.tar.bz2
sci-2b516f978a134d185bd28c5f17fe5c614ccf3c9b.zip
[app-portage/g-octave] Version bump and cleanup.
(Portage version: 2.2_rc67/git/Linux i686) (Signed Manifest commit)
-rw-r--r--app-portage/g-octave/ChangeLog6
-rw-r--r--app-portage/g-octave/Manifest22
-rw-r--r--app-portage/g-octave/g-octave-0.2.ebuild77
-rw-r--r--app-portage/g-octave/g-octave-0.2_rc1.ebuild30
4 files changed, 95 insertions, 40 deletions
diff --git a/app-portage/g-octave/ChangeLog b/app-portage/g-octave/ChangeLog
index f2290c32e..75ccac637 100644
--- a/app-portage/g-octave/ChangeLog
+++ b/app-portage/g-octave/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*g-octave-0.2 (02 Jul 2010)
+
+ 02 Jul 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ -g-octave-0.2_rc1.ebuild, +g-octave-0.2.ebuild:
+ Version bump and cleanup.
+
01 Jul 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
-g-octave-0.1.ebuild, g-octave-9999.ebuild, metadata.xml:
Live ebuild updated. Removed old version (0.1)
diff --git a/app-portage/g-octave/Manifest b/app-portage/g-octave/Manifest
index be01f9bd0..0d23b4917 100644
--- a/app-portage/g-octave/Manifest
+++ b/app-portage/g-octave/Manifest
@@ -1,19 +1,21 @@
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
-DIST g-octave-0.2_rc1.tar.gz 44129 RMD160 ac6a480a2dd2243b6b06e43265f6f5afba476d78 SHA1 802be575b817c53037f7a35c378dcfe6bcd0bea2 SHA256 c824e92dcd3c36eeb43b9a9c360cb305719456cbfa91c0b3e8c6ee353e0416bf
-EBUILD g-octave-0.2_rc1.ebuild 703 RMD160 657fda7c798f03f5f5fe4df16e876f3076c84b8a SHA1 a142b8cb5e7313b144b94bcf5d0be0cd1b914122 SHA256 42d88f8816d1187418704fa223211617e75cbd83010291df412662b23684ff30
+DIST g-octave-0.2.tar.gz 49578 RMD160 90509bbdabc1bbde470a3e95727ee00f53a281f2 SHA1 77681b4b64fb42b3cf0d056e160d6bf64ed5ac02 SHA256 6766487865a6591acde99fee686a1e3197c8d801d236d7ceac479bdb3663dbbd
+DIST info-1278015626-1.json 1530 RMD160 1108da31ceda6394af5aceb43679c58b9a28a60a SHA1 b6788e2d1e7c553ca6bb836a57cc5b05f485f621 SHA256 18faad69984ebc16b6ff0b22efc9e6c06d44e047c847c7543f3e8fba186ad3eb
+DIST octave-forge-1278015626.db.tar.gz 13254 RMD160 d319aecbc299e0bb5c8b37dfede87681483e70f4 SHA1 b758889ee58164aa4063a32cc10e65ec8f004a0c SHA256 dd11c319316e4b96d19e8fec16f749126666a164a83549726447b3fe54544227
+EBUILD g-octave-0.2.ebuild 2202 RMD160 cf2f5620562910253e1bee09009d537b55caa471 SHA1 a8f986c67fb3b1994bfc0c573884566392542e75 SHA256 25d4a9b416364841b95d46b62397564c5d8dc6c8918d9368465ebbee50a281af
EBUILD g-octave-9999.ebuild 1055 RMD160 2c92bb90253e4606708d577872b4ea60fad33769 SHA1 a03138d4da08e602df19ff9fb31dba17dbaf5fa5 SHA256 e78e79c47a7967a00073426abae234b2c5c53bddec3a4198565eba8e73f63cbf
-MISC ChangeLog 1312 RMD160 6f86e7bb2047a73ff47ac5ba577e8ee493f1793f SHA1 f6a55ef35e95d5ae5147b09b90b4b2ac80c0a54a SHA256 7a0be8522bd9f4fa0252fc25dec88737d08b4dac800de4960920b3c64f122176
+MISC ChangeLog 1490 RMD160 04174e4658efbf8022e3f2935d38ed0a3fde2c92 SHA1 63b65e36d673d7e596e5ae632cda583d137f2f86 SHA256 41d12812a06a158419331ff06f73cfaa375aa92c826247097434f4d1893fbf52
MISC metadata.xml 889 RMD160 6cd8b7a8e3d52a6b6d2f4f702987838424d93fa2 SHA1 c385586c3896eef73bca782bcd2b5d198fd096da SHA256 7e04a432c79a3db31fc33cce53e5ef102ce421f2264470de709a2bcc498c5a6e
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.15 (GNU/Linux)
-iQEcBAEBAgAGBQJMLSa2AAoJEMmH5mwCk1NvWnYIAIs9wP8FIS7M/aG7GWnTl1eI
-8tH8yfpfb6actO+D1GQfcDL+e8kfDPMTs3nYPGKGLBOXEsEUlQYBXdk5XIAaBA57
-cnN20HP+zzezancHuuecVUPBQeVqpGu+5SxC7CDFNSca1W4/ScmqP5hS5fGXYfP0
-AOeombvqx69C6yFkCiaEW7NNPOWEhY9TtgTBBfusD8cTtMhQ9ejTXFStsxOrtPoi
-2KCsD6clNvPcXBcYtqs6JEl+vVR0cqhXGIWuMmdcAW2GRu+0U10lsce8cvCl4zKJ
-ijaKlV/KWob9KLXdLGi1ZFE710oUplM6/TM3BkusSikpU2VCMYbdDXyszn+UEeg=
-=zZHf
+iQEcBAEBAgAGBQJMLWfpAAoJEMmH5mwCk1Nv27EIAMVwXa3vamvlwi+TzABb1m53
+Zj2ZRgi8PpzfCgkCNK53/4HCm0+sB8eiSbtrzLdWNgmEF05ULdVEUpb9lvvJg27N
+Zd5xS1/KPKlTOH2+5Ul7r1FwGZT8AKMLL9dzJvP6biRREKrhDSgqpei8V9pBdgEP
+PL9V+AX7Cu9/GDrn0emh5/oeDOFukKBbiMajxSxnxw+K3TtA+V62WTGVQ/F6g2Kz
+0jOrKPHRwlnwqhmrJmYPoO8bKIa92UEq5SOU3Xmk5a7iLO8MT6C30iymYSZB975g
+WDjS2P0Li30KUu5YYVc6agAIvDgR80ZvpK8dsHCisXKGHS0VLNBlurRU1nYgSv0=
+=F0nk
-----END PGP SIGNATURE-----
diff --git a/app-portage/g-octave/g-octave-0.2.ebuild b/app-portage/g-octave/g-octave-0.2.ebuild
new file mode 100644
index 000000000..6667e0152
--- /dev/null
+++ b/app-portage/g-octave/g-octave-0.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit distutils
+
+MY_PV="1278015626"
+INFO_REV="1"
+#PATCHES_REV="1"
+
+DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
+HOMEPAGE="http://g-octave.rafaelmartins.eng.br/"
+
+SRC_URI="http://g-octave.rafaelmartins.eng.br/distfiles/releases/${P}.tar.gz
+ http://g-octave.rafaelmartins.eng.br/distfiles/db/octave-forge-${MY_PV}.db.tar.gz
+ http://g-octave.rafaelmartins.eng.br/distfiles/db/info-${MY_PV}-${INFO_REV}.json"
+ #http://g-octave.rafaelmartins.eng.br/distfiles/db/patches-${MY_PV}-${PATCHES_REV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="svn test"
+
+DEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
+RDEPEND="${DEPEND}
+ svn? ( dev-python/pysvn )
+ || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
+
+PYTHON_MODNAME="g_octave"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+}
+
+src_prepare() {
+ distutils_src_prepare
+ sed -i -e 's/^has_fetch.*$/has_fetch = False/' scripts/g-octave \
+ || die 'failed to patch the g-octave main script'
+ if ! use svn; then
+ rm -rf g_octave/svn/ || die 'failed to remove the Subversion stuff.'
+ sed -i -e '/g_octave.svn/d' -e '/pysvn/d' setup.py \
+ || die 'failed to remove the SVN stuff from setup.py'
+ fi
+}
+
+src_install() {
+ distutils_src_install
+ dohtml ${PN}.html
+ doman ${PN}.1
+}
+
+src_test() {
+ PYTHONPATH=. scripts/run_tests.py || die "test failed."
+}
+
+pkg_postinst() {
+ distutils_pkg_postinst
+ elog
+ elog 'To be able to use g-octave with the shipped package database, please'
+ elog 'edit your configuration file, clean your db directory and run:'
+ elog " emerge --config =${PF}"
+ elog
+}
+
+pkg_config() {
+ local db="$(g-octave --config db)"
+ mkdir -p "${db}"
+ elog "Copying g-octave database files to: ${db}"
+ cp "${DISTDIR}/octave-forge-${MY_PV}.db.tar.gz" "${db}/" \
+ || die "failed to copy octave-forge-${MY_PV}.db.tar.gz"
+ cp "${DISTDIR}/info-${MY_PV}-${INFO_REV}.json" "${db}/" \
+ || die "failed to copy info-${MY_PV}-${INFO_REV}.json"
+ #cp "${DISTDIR}/patches-${MY_P}-${PATCHES_REV}.tar.gz" "${db}/" \
+ # || die "failed to copy patches-${MY_P}-${PATCHES_REV}.tar.gz"
+}
diff --git a/app-portage/g-octave/g-octave-0.2_rc1.ebuild b/app-portage/g-octave/g-octave-0.2_rc1.ebuild
deleted file mode 100644
index 7bf278267..000000000
--- a/app-portage/g-octave/g-octave-0.2_rc1.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit distutils
-
-DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
-HOMEPAGE="http://g-octave.rafaelmartins.eng.br/"
-SRC_URI="http://g-octave.rafaelmartins.eng.br/distfiles/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-DEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
-RDEPEND="${DEPEND}
- || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
-
-src_install() {
- distutils_src_install
- dohtml ${PN}.html
- doman ${PN}.1
-}
-
-src_test() {
- PYTHONPATH=. scripts/run_tests.py || die "test failed."
-}